<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:resources.j2c="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.j2c.xmi" xmlns:resources.jdbc="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jdbc.xmi" xmlns:resources.jms="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.jms.xmi" xmlns:resources.mail="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.mail.xmi" xmlns:resources.url="http://www.ibm.com/websphere/appserver/schemas/5.0/resources.url.xmi">
  <resources.jdbc:JDBCProvider xmi:id="builtin_jdbcprovider" name="Derby JDBC Provider (XA)" description="Built-in Derby JDBC Provider (XA)" providerType="Derby JDBC Provider (XA)" implementationClassName="org.apache.derby.jdbc.EmbeddedXADataSource" xa="true">
    <classpath>${DERBY_JDBC_DRIVER_PATH}/derby.jar</classpath>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1000001" name="DefaultEJBTimerDataSource" jndiName="jdbc/DefaultEJBTimerDataSource" description="Default data source for WebSphere EJB Timer Service" category="default" authMechanismPreference="BASIC_PASSWORD" relationalResourceAdapter="builtin_rra" statementCacheSize="10" datasourceHelperClassname="com.ibm.websphere.rsadapter.DerbyDataStoreHelper">
      <propertySet xmi:id="J2EEResourcePropertySet_2">
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_1" name="databaseName" type="java.lang.String" value="${USER_INSTALL_ROOT}/databases/EJBTimers/${SERVER}/EJBTimerDB" description="Location of Derby default database for the EJB Timer Service." required="true"/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_2" name="shutdownDatabase" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_3" name="dataSourceName" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_4" name="description" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_5" name="connectionAttributes" type="java.lang.String" value="upgrade=true" description="Allows the Derby database to be upgraded."/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_6" name="createDatabase" type="java.lang.String" value=""/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_7" name="enableMultithreadedAccessDetection" type="java.lang.Boolean" value="false"/>
        <resourceProperties xmi:id="J2EEResourceProperty_DB2j_5_8" name="preTestSQLString" type="java.lang.String" value=""/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_2" connectionTimeout="1800" maxConnections="30" minConnections="1" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
    </factories>
  </resources.jdbc:JDBCProvider>
  <resources.jms:JMSProvider xmi:id="builtin_mqprovider" name="WebSphere MQ JMS Provider" description="WebSphere MQ Messaging Provider" externalInitialContextFactory="" externalProviderURL=""/>
  <resources.j2c:J2CResourceAdapter xmi:id="builtin_rra" name="WebSphere Relational Resource Adapter" description="Built-in Relational Resource Adapter for WebSphere Persistence" archivePath="${WAS_LIBS_DIR}/rsadapter.rar">
    <classpath>${WAS_LIBS_DIR}/rsadapter.rar</classpath>
    <factories xmi:type="resources.jdbc:CMPConnectorFactory" xmi:id="CMPConnectorFactory_1183122153656" name="Default_CF" authMechanismPreference="BASIC_PASSWORD" connectionDefinition="ConnectionDefinition_1054132487569" cmpDatasource="DataSource_1183122153625">
      <propertySet xmi:id="J2EEResourcePropertySet_1183122153656"/>
    </factories>
    <propertySet xmi:id="J2EEResourcePropertySet_8"/>
    <deploymentDescriptor xmi:id="Connector_1054132487569" displayName="WS_RdbResourceAdapter" vendorName="IBM" specVersion="1.5" eisType="RRA" version="6.0">
      <icons xmi:id="IconType_1054132487569" smallIcon="rdb_small_icon.jpg" largeIcon="rdb_large_icon.jpg"/>
      <displayNames xmi:id="DisplayName_1357344675196" value="WS_RdbResourceAdapter"/>
      <displayNames xmi:id="DisplayName_1183122153343" value="WS_RdbResourceAdapter"/>
      <displayNames xmi:id="DisplayName_1054132487569" value="WS_RdbResourceAdapter"/>
      <descriptions xmi:id="Description_1054132487569" value="IBM Relational ResourceAdapter"/>
      <license xmi:id="License_1054132487569" required="false">
        <descriptions xmi:id="Description_1054132487570" value="IBM Relational ResourceAdapter"/>
      </license>
      <resourceAdapter xmi:id="ResourceAdapter_1054132487569" transactionSupport="NoTransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.ws.rsadapter.spi.WSResourceAdapterImpl">
        <outboundResourceAdapter xmi:id="OutboundResourceAdapter_1054132487569" reauthenticationSupport="false" transactionSupport="XATransaction">
          <connectionDefinitions xmi:id="ConnectionDefinition_1054132487569" managedConnectionFactoryClass="com.ibm.ws.rsadapter.spi.WSManagedConnectionFactoryImpl" connectionFactoryInterface="javax.resource.cci.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionFactoryImpl" connectionInterface="javax.resource.cci.Connection" connectionImplClass="com.ibm.ws.rsadapter.cci.WSRdbConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1054132487569" name="ConnectionFactoryType" type="java.lang.Integer" value="2">
              <descriptions xmi:id="Description_1054132487571" value="A constant indicating the type of connection factory: WSJdbcDataSource (1) or WSRdbConnectionFactory (2)"/>
            </configProperties>
          </connectionDefinitions>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487589" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential">
            <descriptions xmi:id="Description_1054132487590" value="BasicPassword authentication"/>
          </authenticationMechanisms>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1054132487590" authenticationMechanismType="Kerbv5" credentialInterface="javax.resource.spi.security.GenericCredential">
            <descriptions xmi:id="Description_1054132487591" value="Kerbv5 Authentication"/>
          </authenticationMechanisms>
        </outboundResourceAdapter>
      </resourceAdapter>
    </deploymentDescriptor>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1054132487589" ConnectionDefinition="ConnectionDefinition_1054132487569"/>
  </resources.j2c:J2CResourceAdapter>
  <resources.mail:MailProvider xmi:id="builtin_mailprovider" name="Built-in Mail Provider" description="The built-in mail provider">
    <protocolProviders xmi:id="builtin_smtp" protocol="smtp" classname="com.sun.mail.smtp.SMTPTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3" protocol="pop3" classname="com.sun.mail.pop3.POP3Store" type="STORE"/>
    <protocolProviders xmi:id="builtin_imap" protocol="imap" classname="com.sun.mail.imap.IMAPStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_smtps" protocol="smtps" classname="com.sun.mail.smtp.SMTPSSLTransport" type="TRANSPORT"/>
    <protocolProviders xmi:id="builtin_pop3s" protocol="pop3s" classname="com.sun.mail.pop3.POP3SSLStore" type="STORE"/>
    <protocolProviders xmi:id="builtin_imaps" protocol="imaps" classname="com.sun.mail.imap.IMAPSSLStore" type="STORE"/>
  </resources.mail:MailProvider>
  <resources.url:URLProvider xmi:id="URLProvider_1" name="Default URL Provider" streamHandlerClassName="unused" protocol="unused"/>
  <resources.jdbc:JDBCProvider xmi:id="JDBCProvider_1183122153343" name="Derby JDBC Provider" description="Derby embedded non-XA  JDBC Provider" providerType="Derby JDBC Provider" implementationClassName="org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource" xa="false">
    <classpath>${DERBY_JDBC_DRIVER_PATH}/derby.jar</classpath>
    <factories xmi:type="resources.jdbc:DataSource" xmi:id="DataSource_1183122153625" name="Default Datasource" jndiName="DefaultDatasource" description="Datasource for the WebSphere Default Application" providerType="Derby JDBC Provider" authMechanismPreference="BASIC_PASSWORD" relationalResourceAdapter="builtin_rra" statementCacheSize="10" datasourceHelperClassname="com.ibm.websphere.rsadapter.DerbyDataStoreHelper">
      <propertySet xmi:id="J2EEResourcePropertySet_1183122153625">
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153625" name="databaseName" type="java.lang.String" value="${APP_INSTALL_ROOT}/${CELL}/DefaultApplication.ear/DefaultDB" description="adminRequired=true - This is a required property. This property must be set and it identifies which database to access. For example, g:/db/wombat." required="true"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153626" name="shutdownDatabase" type="java.lang.String" value="" description="If set to the string 'shutdown', this will cause the database to shutdown when a java.sql.Connection object is obtained from the Data Source. E.g., If the Data Source is an XADataSource, a getXAConnection().getConnection() is necessary to cause the database to shutdown" required="false"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153627" name="dataSourceName" type="java.lang.String" value="" description="Name for ConnectionPooledDataSource. Not used by the Data Source object. Used for informational purpose only." required="false"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153628" name="description" type="java.lang.String" value="" description="Description of the Data Source. Not used by the Data Source object. Used for informational purpose only." required="false"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153629" name="connectionAttributes" type="java.lang.String" value="upgrade=true" description="Connection attributes specific to Derby. Please see Derby documentation for a complete list of features." required="false"/>
        <resourceProperties xmi:id="J2EEResourceProperty_1183122153630" name="createDatabase" type="java.lang.String" value="" description="If set to the string 'create', this will cause a new database of DatabaseName if that database does not already exist. The database is created when a connection object is obtained from the Data Source." required="false"/>
      </propertySet>
      <connectionPool xmi:id="ConnectionPool_1183122153625" connectionTimeout="180" maxConnections="10" minConnections="1" reapTime="180" unusedTimeout="1800" agedTimeout="0" purgePolicy="EntirePool"/>
    </factories>
  </resources.jdbc:JDBCProvider>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1357344675195" name="SIB JMS Resource Adapter" description="Default messaging provider" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar" threadPoolAlias="SIBJMSRAThreadPool">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/sib.api.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1357344675196"/>
    <deploymentDescriptor xmi:id="Connector_1357344675196" displayName="WebSphere Default Messaging Provider" vendorName="IBM" specVersion="1.5" eisType="JMS Provider" version="0.3">
      <displayNames xmi:id="DisplayName_1357344675197" value="WebSphere Default Messaging Provider"/>
      <displayNames xmi:id="DisplayName_1357344675198" value="WebSphere Default Messaging Provider"/>
      <resourceAdapter xmi:id="ResourceAdapter_1357344675196" transactionSupport="NoTransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaResourceAdapterImpl">
        <outboundResourceAdapter xmi:id="OutboundResourceAdapter_1357344675196" reauthenticationSupport="false" transactionSupport="XATransaction">
          <connectionDefinitions xmi:id="ConnectionDefinition_1357344675196" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedQueueConnectionFactoryImpl" connectionFactoryInterface="javax.jms.QueueConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnFactoryImpl" connectionInterface="javax.jms.QueueConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsQueueConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1357344675196" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675197" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675198" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675199" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675200" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675201" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675202" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1357344675203" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675204" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1357344675205" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1357344675206" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675207" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675208" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675209" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1357344675210" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675211" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675212" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675213" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1357344675197" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedTopicConnectionFactoryImpl" connectionFactoryInterface="javax.jms.TopicConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnFactoryImpl" connectionInterface="javax.jms.TopicConnection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsTopicConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1357344675214" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675215" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675216" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675217" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675218" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675219" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675220" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675221" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1357344675222" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675223" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1357344675224" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1357344675225" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675226" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675227" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675228" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1357344675229" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675230" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675231" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1357344675232" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675233" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <connectionDefinitions xmi:id="ConnectionDefinition_1357344675198" managedConnectionFactoryClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaManagedConnectionFactoryImpl" connectionFactoryInterface="javax.jms.ConnectionFactory" connectionFactoryImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnFactoryImpl" connectionInterface="javax.jms.Connection" connectionImplClass="com.ibm.ws.sib.api.jms.impl.JmsConnectionImpl">
            <configProperties xmi:id="ConfigProperty_1357344675234" name="BusName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675235" name="ClientID" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675236" name="UserName" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675237" name="Password" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675238" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675239" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent"/>
            <configProperties xmi:id="ConfigProperty_1357344675240" name="DurableSubscriptionHome" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675241" name="ReadAhead" type="java.lang.String" value="Default"/>
            <configProperties xmi:id="ConfigProperty_1357344675242" name="Target" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675243" name="TargetType" type="java.lang.String" value="BusMember"/>
            <configProperties xmi:id="ConfigProperty_1357344675244" name="TargetSignificance" type="java.lang.String" value="Preferred"/>
            <configProperties xmi:id="ConfigProperty_1357344675245" name="RemoteProtocol" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675246" name="TargetTransportChain" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675247" name="ProviderEndpoints" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675248" name="ConnectionProximity" type="java.lang.String" value="Bus"/>
            <configProperties xmi:id="ConfigProperty_1357344675249" name="TemporaryQueueNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675250" name="TemporaryTopicNamePrefix" type="java.lang.String"/>
            <configProperties xmi:id="ConfigProperty_1357344675251" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675252" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster"/>
            <configProperties xmi:id="ConfigProperty_1357344675253" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" value="false"/>
            <configProperties xmi:id="ConfigProperty_1357344675254" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" value="false"/>
          </connectionDefinitions>
          <authenticationMechanisms xmi:id="AuthenticationMechanism_1357344675198" authenticationMechanismType="BasicPassword" credentialInterface="javax.resource.spi.security.PasswordCredential"/>
        </outboundResourceAdapter>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1357344675198">
          <messageAdapter xmi:id="MessageAdapter_1357344675198">
            <messageListeners xmi:id="MessageListener_1357344675198" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1357344675198" activationSpecClass="com.ibm.ws.sib.api.jmsra.impl.JmsJcaActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675198" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675199" name="destinationType"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675200" name="busName"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
        <adminObjects xmi:id="AdminObject_1357344675198" adminObjectInterface="javax.jms.Queue" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsQueueImpl">
          <configProperties xmi:id="ConfigProperty_1357344675255" name="QueueName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1357344675256" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1357344675257" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1357344675258" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1357344675259" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1357344675260" name="BusName" type="java.lang.String"/>
        </adminObjects>
        <adminObjects xmi:id="AdminObject_1357344675199" adminObjectInterface="javax.jms.Topic" adminObjectClass="com.ibm.ws.sib.api.jms.impl.JmsTopicImpl">
          <configProperties xmi:id="ConfigProperty_1357344675261" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space"/>
          <configProperties xmi:id="ConfigProperty_1357344675262" name="TopicName" type="java.lang.String"/>
          <configProperties xmi:id="ConfigProperty_1357344675263" name="DeliveryMode" type="java.lang.String" value="Application"/>
          <configProperties xmi:id="ConfigProperty_1357344675264" name="TimeToLive" type="java.lang.Long"/>
          <configProperties xmi:id="ConfigProperty_1357344675265" name="Priority" type="java.lang.Integer"/>
          <configProperties xmi:id="ConfigProperty_1357344675266" name="ReadAhead" type="java.lang.String" value="AsConnection"/>
          <configProperties xmi:id="ConfigProperty_1357344675267" name="BusName" type="java.lang.String"/>
        </adminObjects>
      </resourceAdapter>
    </deploymentDescriptor>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1357344675199" ConnectionDefinition="ConnectionDefinition_1357344675196">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675199" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675200" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675201" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675202" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675203" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675204" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675205" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675206" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675207" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675208" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675209" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675210" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675211" name="shareDurableSubscriptions" type="java.lang.String" value="AsCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675212" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675213" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675214" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675215" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675216" name="temporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675217" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675218" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675219" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1357344675200" ConnectionDefinition="ConnectionDefinition_1357344675197">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675220" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675221" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675222" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675223" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675224" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675225" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675226" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675227" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675228" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675229" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675230" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675231" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675232" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675233" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675234" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675235" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675236" name="temporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675237" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675238" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675239" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675240" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <connectionDefTemplateProps xmi:id="ConnectionDefTemplateProps_1357344675201" ConnectionDefinition="ConnectionDefinition_1357344675198">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675241" name="BusName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675242" name="ClientID" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675243" name="ConnectionProximity" type="java.lang.String" value="Bus" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675244" name="DurableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675245" name="NonPersistentMapping" type="java.lang.String" value="ExpressNonPersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675246" name="Password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675247" name="PersistentMapping" type="java.lang.String" value="ReliablePersistent" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675248" name="ProviderEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675249" name="ReadAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675250" name="RemoteProtocol" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675251" name="TargetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675252" name="ShareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675253" name="ShareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675254" name="Target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675255" name="TargetSignificance" type="java.lang.String" value="Preferred" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675256" name="TargetType" type="java.lang.String" value="BusMember" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675257" name="TemporaryQueueNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675258" name="TemporaryTopicNamePrefix" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675259" name="UserName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675260" name="ProducerDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675261" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
    </connectionDefTemplateProps>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1357344675201" activationSpec="ActivationSpec_1357344675198">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675262" name="acknowledgeMode" type="java.lang.String" value="Auto-acknowledge" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675263" name="alwaysActivateAllMDBs" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675264" name="AutoStopSequentialMessageFailure" type="java.lang.Integer" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675265" name="busName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675266" name="clientId" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675267" name="destination" type="javax.jms.Destination" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675268" name="destinationType" type="java.lang.String" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675269" name="durableSubscriptionHome" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675270" name="failingMessageDelay" type="java.lang.Long" value="0" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675271" name="maxBatchSize" type="java.lang.Integer" value="1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675272" name="maxConcurrency" type="java.lang.Integer" value="10" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675273" name="maxSequentialMessageFailure" type="java.lang.Integer" value="-1" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675274" name="messageSelector" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675275" name="password" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675276" name="providerEndpoints" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675277" name="readAhead" type="java.lang.String" value="Default" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675278" name="retryInterval" type="java.lang.Integer" value="30" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675279" name="shareDataSourceWithCMP" type="java.lang.Boolean" value="false" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675280" name="shareDurableSubscriptions" type="java.lang.String" value="InCluster" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675281" name="subscriptionDurability" type="java.lang.String" value="NonDurable" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675282" name="subscriptionName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675283" name="target" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675284" name="targetSignificance" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675285" name="targetTransportChain" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675286" name="targetType" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675287" name="userName" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675288" name="ConsumerDoesNotModifyPayloadAfterGet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675289" name="ForwarderDoesNotModifyPayloadAfterSet" type="java.lang.String" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675290" name="useServerSubject" type="java.lang.Boolean" required="false"/>
      <complexPropertySet xmi:id="J2EEResourcePropertySet_1357344675204">
        <resourceProperties xmi:id="J2EEResourceProperty_1357344675291" name="destination" type="javax.jms.Destination" required="false"/>
      </complexPropertySet>
    </activationSpecTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1357344675204" adminObject="AdminObject_1357344675198">
      <properties xmi:id="J2EEResourceProperty_1357344675292" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675293" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675294" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675295" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675296" name="QueueName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675297" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675298" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675299" name="TimeToLive" type="java.lang.Long" required="false"/>
    </adminObjectTemplateProps>
    <adminObjectTemplateProps xmi:id="AdminObjectTemplateProps_1357344675205" adminObject="AdminObject_1357344675199">
      <properties xmi:id="J2EEResourceProperty_1357344675300" name="BusName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675301" name="DeliveryMode" type="java.lang.String" value="Application" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675302" name="forwardRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675303" name="Priority" type="java.lang.Integer" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675304" name="ReadAhead" type="java.lang.String" value="AsConnection" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675305" name="reverseRoutingPath" type="[Ljava.lang.String;" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675306" name="TimeToLive" type="java.lang.Long" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675307" name="TopicName" type="java.lang.String" required="false"/>
      <properties xmi:id="J2EEResourceProperty_1357344675308" name="TopicSpace" type="java.lang.String" value="Default.Topic.Space" required="false"/>
    </adminObjectTemplateProps>
  </resources.j2c:J2CResourceAdapter>
  <resources.j2c:J2CResourceAdapter xmi:id="J2CResourceAdapter_1357344675364" name="WebSphere MQ Resource Adapter" description="WAS Built In WebSphere MQ Resource Adapter" isolatedClassLoader="false" archivePath="${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar" threadPoolAlias="WMQJCAResourceAdapter" singleton="false" hACapability="RA_NO_HA" isEnableHASupport="false">
    <classpath>${WAS_INSTALL_ROOT}/installedConnectors/wmq.jmsra.rar</classpath>
    <propertySet xmi:id="J2EEResourcePropertySet_1357344675366">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675366" name="connectionConcurrency" type="int" value="1" description="connectionConcurrency" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675367" name="maxConnections" type="int" value="50" description="maxConnections" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675368" name="logWriterEnabled" type="boolean" value="true" description="logWriterEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675369" name="reconnectionRetryCount" type="int" value="5" description="reconnectionRetryCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675370" name="reconnectionRetryInterval" type="int" value="300000" description="reconnectionRetryInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675371" name="startupRetryCount" type="int" value="0" description="startupRetryCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675372" name="startupRetryInterval" type="int" value="30000" description="startupRetryInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675373" name="traceEnabled" type="boolean" value="false" description="traceEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675374" name="traceLevel" type="int" value="3" description="traceLevel" required="false"/>
    </propertySet>
    <deploymentDescriptor xmi:id="Connector_1357344675366" displayName="WebSphere MQ Resource Adapter" vendorName="International Business Machines Corporation (&quot;IBM&quot;)." specVersion="1.5" eisType="Java Message Service" version="7.1.0.0-k000-L111005.1">
      <displayNames xmi:id="DisplayName_1357344675366" value="WebSphere MQ Resource Adapter"/>
      <license xmi:id="License_1357344675366" required="true">
        <descriptions xmi:id="Description_1357344675366" value="&#xA;&#x9;&#x9;&#x9;This software is licenced under the IBM International&#xA;&#x9;&#x9;&#x9;Program License Agreement (&quot;IPLA&quot;). For licence information,&#xA;&#x9;&#x9;&#x9;see the WebSphere MQ Licence Information (&quot;LI&quot;) available at&#xA;&#x9;&#x9;&#x9;http://www.ibm.com/software/sla/. The LI may also be found&#xA;&#x9;&#x9;&#x9;in a file in the WebSphere MQ installation directory.&#xA;&#x9;&#x9;"/>
      </license>
      <resourceAdapter xmi:id="ResourceAdapter_1357344675366" transactionSupport="XATransaction" reauthenticationSupport="false" resourceAdapterClass="com.ibm.mq.connector.ResourceAdapterImpl">
        <securityPermissions xmi:id="SecurityPermission_1357344675366" description="Security Permissions for the JMS client" specification="&#xA;&#x9;&#x9;&#x9;&#x9;grant { &#xA;&#x9;&#x9;&#x9;&#x9;&#x9;permission java.security.AllPermission; &#xA;&#x9;&#x9;&#x9;&#x9;};&#xA;&#x9;&#x9;&#x9;"/>
        <configProperties xmi:id="ConfigProperty_1357344675366" description="connectionConcurrency" name="connectionConcurrency" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675367" description="maxConnections" name="maxConnections" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675368" description="logWriterEnabled" name="logWriterEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675369" description="reconnectionRetryCount" name="reconnectionRetryCount" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675370" description="reconnectionRetryInterval" name="reconnectionRetryInterval" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675371" description="startupRetryCount" name="startupRetryCount" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675372" description="startupRetryInterval" name="startupRetryInterval" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675373" description="traceEnabled" name="traceEnabled" type="java.lang.String"/>
        <configProperties xmi:id="ConfigProperty_1357344675374" description="traceLevel" name="traceLevel" type="java.lang.String"/>
        <inboundResourceAdapter xmi:id="InboundResourceAdapter_1357344675366">
          <messageAdapter xmi:id="MessageAdapter_1357344675366">
            <messageListeners xmi:id="MessageListener_1357344675366" messageListenerType="javax.jms.MessageListener">
              <activationSpec xmi:id="ActivationSpec_1357344675366" activationSpecClass="com.ibm.mq.connector.inbound.ActivationSpecImpl">
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675366" name="destination"/>
                <requiredConfigProperties xmi:id="RequiredConfigPropertyType_1357344675367" name="destinationType"/>
              </activationSpec>
            </messageListeners>
          </messageAdapter>
        </inboundResourceAdapter>
      </resourceAdapter>
    </deploymentDescriptor>
    <activationSpecTemplateProps xmi:id="ActivationSpecTemplateProps_1357344675366" activationSpec="ActivationSpec_1357344675366">
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675375" name="CCSID" type="int" value="819" description="CCSID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675376" name="acknowledgeMode" type="int" value="1" description="acknowledgeMode" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675377" name="arbitraryProperties" type="java.lang.String" description="arbitraryProperties" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675378" name="brokerCCDurSubQueue" type="java.lang.String" value="SYSTEM.JMS.D.CC.SUBSCRIBER.QUEUE" description="brokerCCDurSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675379" name="brokerCCSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.CC.SUBSCRIBER.QUEUE" description="brokerCCSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675380" name="brokerControlQueue" type="java.lang.String" value="SYSTEM.BROKER.CONTROL.QUEUE" description="brokerControlQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675381" name="brokerPubQueue" type="java.lang.String" value="SYSTEM.BROKER.DEFAULT.STREAM" description="brokerPubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675382" name="brokerQueueManager" type="java.lang.String" description="brokerQueueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675383" name="brokerSubQueue" type="java.lang.String" value="SYSTEM.JMS.ND.SUBSCRIBER.QUEUE" description="brokerSubQueue" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675384" name="brokerVersion" type="java.lang.String" value="1" description="brokerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675385" name="ccdtURL" type="java.lang.String" description="ccdtURL" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675386" name="channel" type="java.lang.String" value="SYSTEM.DEF.SVRCONN" description="channel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675387" name="cleanupInterval" type="long" value="3600000" description="cleanupInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675388" name="cleanupLevel" type="java.lang.String" value="SAFE" description="cleanupLevel" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675389" name="clientID" type="java.lang.String" description="clientID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675390" name="clientId" type="java.lang.String" description="clientId" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675391" name="cloneSupport" type="java.lang.String" value="DISABLED" description="cloneSupport" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675392" name="connectionNameList" type="java.lang.String" value="localhost(1414)" description="connectionNameList" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675393" name="destination" type="java.lang.String" value="SYSTEM.DEFAULT.LOCAL.QUEUE" description="destination" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675394" name="destinationType" type="java.lang.String" value="javax.jms.Queue" description="destinationType" required="true"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675395" name="failIfQuiesce" type="boolean" value="true" description="failIfQuiesce" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675396" name="headerCompression" type="java.lang.String" value="NONE" description="headerCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675397" name="hostName" type="java.lang.String" value="localhost" description="hostName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675398" name="localAddress" type="java.lang.String" description="localAddress" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675399" name="maxMessages" type="int" value="1" description="maxMessages" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675400" name="maxPoolDepth" type="int" value="10" description="maxPoolDepth" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675401" name="messageBatchSize" type="int" value="10" description="messageBatchSize" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675402" name="messageCompression" type="java.lang.String" value="NONE" description="messageCompression" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675403" name="messageRetention" type="java.lang.String" value="YES" description="messageRetention" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675404" name="messageSelection" type="java.lang.String" value="CLIENT" description="messageSelection" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675405" name="messageSelector" type="java.lang.String" description="messageSelector" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675406" name="nonASFRollbackEnabled" type="boolean" value="false" description="nonASFRollbackEnabled" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675407" name="nonASFTimeout" type="int" value="0" description="nonASFTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675408" name="password" type="java.lang.String" description="password" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675409" name="pollingInterval" type="int" value="5000" description="pollingInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675410" name="poolTimeout" type="int" value="300000" description="poolTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675411" name="port" type="int" value="1414" description="port" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675412" name="providerVersion" type="java.lang.String" value="UNSPECIFIED" description="providerVersion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675413" name="queueManager" type="java.lang.String" description="queueManager" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675414" name="readAheadAllowed" type="java.lang.String" value="DESTINATION" description="readAheadAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675415" name="receiveCCSID" type="int" value="1208" description="receiveCCSID" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675416" name="receiveConversion" type="java.lang.String" value="CLIENT_MSG" description="receiveConversion" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675417" name="receiveExit" type="java.lang.String" description="receiveExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675418" name="receiveExitInit" type="java.lang.String" description="receiveExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675419" name="rescanInterval" type="int" value="5000" description="rescanInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675420" name="securityExit" type="java.lang.String" description="securityExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675421" name="securityExitInit" type="java.lang.String" description="securityExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675422" name="sendExit" type="java.lang.String" description="sendExit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675423" name="sendExitInit" type="java.lang.String" description="sendExitInit" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675424" name="shareConvAllowed" type="java.lang.String" value="YES" description="shareConvAllowed" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675425" name="sparseSubscriptions" type="java.lang.String" value="FALSE" description="sparseSubscriptions" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675426" name="sslCertStores" type="java.lang.String" description="sslCertStores" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675427" name="sslCipherSuite" type="java.lang.String" description="sslCipherSuite" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675428" name="sslFipsRequired" type="boolean" value="false" description="sslFipsRequired" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675429" name="sslPeerName" type="java.lang.String" description="sslPeerName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675430" name="sslResetCount" type="int" value="0" description="sslResetCount" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675431" name="sslSocketFactory" type="java.lang.String" description="sslSocketFactory" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675432" name="startTimeout" type="int" value="10000" description="startTimeout" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675433" name="statusRefreshInterval" type="int" value="60000" description="statusRefreshInterval" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675434" name="subscriptionDurability" type="java.lang.String" value="NonDurable" description="subscriptionDurability" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675435" name="subscriptionName" type="java.lang.String" description="subscriptionName" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675436" name="subscriptionStore" type="java.lang.String" value="MIGRATE" description="subscriptionStore" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675437" name="transportType" type="java.lang.String" value="CLIENT" description="transportType" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675438" name="useJNDI" type="boolean" value="false" description="useJNDI" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675439" name="username" type="java.lang.String" description="username" required="false"/>
      <resourceProperties xmi:id="J2EEResourceProperty_1357344675440" name="wildcardFormat" type="java.lang.String" value="TOPIC" description="wildcardFormat" required="false"/>
    </activationSpecTemplateProps>
  </resources.j2c:J2CResourceAdapter>
</xmi:XMI>
